Subject: on the fly tar and compression

From: [email-masked] (Gaston Franco)
Date: Fri, 20 Mar 1998 13:16:05 -0300 (ARG)

Hi!

I'm running wu-ftpd version 2.4.2-Beta-16 in Solaris-2.5.1 .
and on the fly tar and compression don't work .
(on the fly compression work and on the fly tarring too).

I put the GNU-tar version 1.12 ; this work fine in a shell command
line, but no through ftp.

I put all the libraries necesaries in /ftp-home/usr/lib 
( ldd ./tar
	libsocket.so.1 =>	 /usr/lib/libsocket.so.1
	libnsl.so.1 =>	 /usr/lib/libnsl.so.1
	libc.so.1 =>	 /usr/lib/libc.so.1
	libdl.so.1 =>	 /usr/lib/libdl.so.1
	libintl.so.1 =>	 /usr/lib/libintl.so.1
	libmp.so.1 =>	 /usr/lib/libmp.so.1
	libw.so.1 =>	 /usr/lib/libw.so.1
)

the rules in my ftpconversion are
 :   : :.tar.Z:/bin/tar -cfZ  - %s:T_REG|T_DIR:O_COMPRESS|O_TAR:TAR+COMPRESS
 :   : :.tar.gz:/bin/tar -cfz - %s:T_REG|T_DIR:O_COMPRESS|O_TAR:TAR+GZIP

Also, i prove with GNU-tar-1.18 package, with the same results.

Anybody can help me?

PD: sorry my english is poor.
-- 
                       %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                            Gaston Franco ([email-masked])

                            Red de Interconexion Universitaria 
                               Universidad de Buenos Aires
                       Tel.: (54-1) 511-1200; Fax: (54-1) 787-2656
                       %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%